Bug 1203393 - novnc 5.1-2 does not work with RDO openstack juno
Summary: novnc 5.1-2 does not work with RDO openstack juno
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: novnc
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Alan Pevec (Fedora)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 18:18 UTC by Tom Buskey
Modified: 2015-03-20 18:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 18:15:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Tom Buskey 2015-03-18 18:18:04 UTC
Description of problem:

When RDO packstack installs novnc, the vnc console in Horizon displays no output.

Forcing an install of novnc-0.4-9.el7.noarch.rpm fixes the issue, but only the 5.x version is in the epel-7 repo.  A previous run of packstack had installed novnc-0.4-7.el7.noarch which also worked

Version-Release number of selected component (if applicable):
openstack-packstack-2014.2-0.14.dev1401
novnc-0.5.1-2.el7.noarch

How reproducible:
Install CentOS7, epel, rdo-juno



Steps to Reproduce:
1. Install CentOS 7
2.yum install http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm 

3. yum install http://repos.fedorapeople.org/repos/openstack/openstack-juno/rdo-release-juno-1.noarch.rpm
4.  yum install openstack-packstack
5. packstack
6. start an instance on the cloud and use the console in Horizon

Actual results:
No output.  Just 3 buttons in the right: restart(?), shutdown, reset

Expected results:
Seeing the console output scroll by

Additional info:
If the earlier version of novnc was restored to the epel repo, I could do a yum versionlock as a workaround

Comment 1 Solly Ross 2015-03-19 14:44:20 UTC
In order to help identify the issue, please indicate which browser you are using, as well as what the output is on the developer console of your browser of choice (for example, in Firefox go to Menu->Developer->Web Console, or [Menubar] Tools->Web Developer->Web Console).

Comment 2 Tom Buskey 2015-03-19 15:28:36 UTC
Chrome on Windows 7: Version 41.0.2272.89 m

I'll work on getting the output from the developer console from novnc

Comment 3 Tom Buskey 2015-03-20 18:15:52 UTC
I was not able to reproduce this.  I'm closing the bug


Note You need to log in before you can comment on or make changes to this bug.